<?
$formname           = "form_faq_cardformtest";
$translation        = \DynCom\mysyde\common\classes\Registry::get("translation");
$inputname          = "input_id";
$input_page_id      = (isset($_REQUEST["input_page_id"]) ? $_REQUEST["input_page_id"] : "");
$input_component_id = (isset($_REQUEST["input_component_id"]) ? $_REQUEST["input_component_id"] : "");

// erstellte FAQ sammeln
$faq = array();
$query             = "SELECT * FROM main_faq WHERE (main_language_id = " . (int)$GLOBALS["language"]['id'] . " OR all_languages = 1)";
$result            = @mysqli_query($GLOBALS['mysql_con'], $query);

?>

    <div id="overlaycrumb">
        <?php
            echo $translation->get("new_faq");
        ?>
        <div id="closeoverlay" onclick="disableOverlay();"></div>
    </div>

    <ul class="toolbar_menu">
        <?php
        // Zurueck zur uebersicht
        if (is_page_edit() || is_component_edit()) {
            button("left", $translation->get("back"), $formname, "loadCard('edit_content_page', true)");
        }

        // Speichern button
        button("save", $translation->get("save"), $formname, "loadCard('save_faq_page_link', true)");

        // Speichern und schliessen
        button("save", $translation->get("save_and_close"), $formname, "loadCard('save_faq_page_link', true, '', true)");
        ?>
    </ul>
    <div class="clearfix"></div>

<?php

if ($messages !== null) {
    if (count($messages)) {
            echo '<div id="overlayMessages">' . join("\r\n", $messages) . '</div>';
    } 
 }
?>

    <form id="<?= $formname ?>" name="<?= $formname ?>" method="post">
        <input name="input_id" type="hidden" value="<?= $input_line["id"] ?>">

        <input type="hidden" name="get_real_page_link_id" value="1" />
        <input type="hidden" name="input_page_id" value="<?php echo $input_page_id; ?>" />
        <input type="hidden" name="input_component_id" value="<?php echo $input_component_id; ?>" />
        <input name="data-sitepartid" type="hidden" value="16">

        <table class="cardform" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td>
                    <? input($translation->get("description"), "input_description", "text", $input_line["description"], 255) ?>
                    <? input($translation->get("show_in_all_languages"), "input_all_languages", "checkbox", $input_line["all_languages"]) ?>
                </td>
                <td>
                    <?php
                        if ($input_line["id"] != "") {
                            show_changed_on($input_line["id"], "main_faq_header");
                            show_changed_by($input_line["id"], "main_faq_header");
                        }
                        loadFAQGroup($input_line['id']);
                    ?> 
                </td>
            </tr>


        </table>
    </form>